local DEBUG = false


-- #### Functions ##################################


-- Overwrite components
	-- fueled
	local Fueled = GLOBAL.require("components/fueled")
	local Fueled_StartConsuming = Fueled.StartConsuming
	function Fueled:StartConsuming()
		if self.inst.components.inventoryitem and (self.inst.components.edible or self.inst:HasTag("animal") or self.inst:HasTag("bird") or self.inst:HasTag("meat") or self.inst.components.cookable) then
		else
			Fueled_StartConsuming(self)
		end
	end
	
	local Fueled_StopConsuming = Fueled.StopConsuming
	function Fueled:StopConsuming()
		if self.inst.components.inventoryitem and (self.inst.components.edible or self.inst:HasTag("animal") or self.inst:HasTag("bird") or self.inst:HasTag("meat") or self.inst.components.cookable) then
		else
			Fueled_StopConsuming(self)
		end
	end
	--Fueled.DoDelta = function(dt) end
	
	
	-- perishable
	local Perishable = GLOBAL.require("components/perishable")
	local Perishable_StartPerishing = Perishable.StartPerishing
	function Perishable:StartPerishing()
		if true then
		else
			Perishable_StartPerishing(self)
		end
	end
	
	local Perishable_StopPerishing = Perishable.StopPerishing
	function Perishable:StopPerishing()
		if true then
			return
		else
			Perishable_StopPerishing(self)
		end
	end
	
	local Perishable_LongUpdate = Perishable.LongUpdate -- LongUpdate was used when player sleeps
	function Perishable:LongUpdate(dt)
		if true then
		else
			--print("--LongUpdate--Out--")
			Perishable_LongUpdate(self, dt)
		end
	end
	
	
	-- finiteuses
	local Finiteuses = GLOBAL.require("components/finiteuses")
	local Finiteuses_Use = Finiteuses.Use
	function Finiteuses:Use(num)
		if self.inst.components.inventoryitem and (self.inst.components.edible or self.inst:HasTag("animal") or self.inst:HasTag("bird") or self.inst:HasTag("meat") or self.inst.components.cookable) then
			--for k,v in pairs(self.inst.components.finiteuses) do print(k,v) end
			return
		else
			Finiteuses_Use(self, num)
		end
	end
	
	
	-- itemtile
	-- hide the percentages on the item icons
	if not DEBUG then 
		local ItemTile = GLOBAL.require("widgets/itemtile")
		local ItemTile_SetPercent = ItemTile.SetPercent
		function ItemTile:SetPercent(percent)
			if self.item.components.inventoryitem and (self.item.components.edible or self.item:HasTag("animal") or self.item:HasTag("bird") or self.item:HasTag("meat") or self.item.components.cookable) then
				return
			else
				--for k,v in pairs(self.item) do print(k,v) end
				ItemTile_SetPercent(self, percent)
			end
		end
	end



-- DEBUG
if DEBUG then
	local function onDebug(player)
	
		--GLOBAL.RunScript("consolecommands")
		
		player:DoTaskInTime( 0,
			function()
				print("Infinitizer MOD loaded")
				--GLOBAL.GetPlayer().components.builder:GiveAllRecipes()
				player.components.builder:GiveAllRecipes()
				
				--for k,v in pairs(inst.inst) do print(k,v) end
			end
		)
	
	end
	
	
	AddSimPostInit(onDebug)
end
